IDEALIZE-ALI(1)

NAME
idealize-ali.pl - Discard (nearly) gap-only sites from ALI files

VERSION
version 0.212670

USAGE
    idealize-ali.pl <infiles> [optional arguments]

REQUIRED ARGUMENTS

<infiles>
    Path to input ALI files [repeatable argument].

OPTIONAL ARGUMENTS

--max[-res-drop-site]=<n>
    Number of non-gap character states allowed in a site to be dropped [default: 0]. When specified as a fraction between 0 and 1, it is interpreted as relative to the number of sequences in the ALI. By default, only shared gaps are dropped.

--out[-suffix]=<suffix>
    Suffix to append to infile basenames for deriving outfile names [default: none]. When not specified, outfile names are taken from infiles but original infiles are preserved by being appended a .bak suffix.

--version
--usage
--help
--man
    Print the usual program information

AUTHOR
Denis BAURAIN <denis.baurain@uliege.be>

COPYRIGHT AND LICENSE
This software is copyright (c) 2013 by University of Liege / Unit of Eukaryotic Phylogenomics / Denis BAURAIN.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.